# BIND Module

## Overview

This module install and configure bind dns server.

## Usage

Default configuration:

```puppet
include bind
```

Change configuration file settings:

```puppet
class { 'bind':
    listen_on       => '127.0.0.1',
    zone            => {
      'example.com' => [
        'type master',
        'file "example.com.db"',
      ],
    },
}
```

Create zone file:

```puppet
class { 'bind::zone_file':
        file_name       => 'example.com.db',
        nameserver      => 'ns1.example.com.',
        admin           => 'admin@example.com.',
        records         => [
'@      IN      NS      ns1.example.com.',
'@      IN      A       127.0.0.1',
'ns1    IN      A       127.0.0.1',
        ],
}
```

